Subject: Philipp is right: it is a bug in gcc
From: [email-masked] (root)

24 Mar 1997 10:46:11 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Content-Type: text
Original-To: [email-masked]
Original-Sender: [email-masked]

Just out of curiosity I compiled the example given with lcc. I see a
message box showing the constructed path. I didn't modify anything
in the snippet given.

I think there is NO way this should fail, since
even if it is true, as Colin Peters remarks, that that windows API
doesn't verify that the result points to a valid file name, 
the code shown JUST DISPLAYS THAT RESULT, and
if the API didn't fail (and this is TESTED by the code given) the buffer
should contain a valid string, as is the case in my system.

Look, when somebody points to a possible bug, it is easy to try to blame
HIM of the bug. I try to avoid this, since people will get afraid of
reporting bugs. The compiler writers/developers, tend to view a bug
reports as personal attacks. Obviously NOT CONSCIOUSLY, but it is fairly
easy to slip into an emotional tone...

To put it in a few words:
The example given should *always* work, displaying a message box with a path 
to a file.

I tested it with windows NT 4.0.

-- 
Jacob Navia	Logiciels/Informatique
41 rue Maurice Ravel			Tel 01 48.23.51.44
93430 Villetaneuse 			Fax 01 48.23.95.39
France
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".